My Oracle Support Banner

Not Able To Update PO Headers Descriptive Fields Using the PO API group package PO_DOCUMENT_UPDATE_GRP (Doc ID 2318760.1)

Last updated on OCTOBER 19, 2017

Applies to:

Oracle Purchasing - Version 12.1.3 and later
Information in this document applies to any platform.

Symptoms

Using <Note 1406047.1> How to use Change PO API group package PO_DOCUMENT_UPDATE_GRP to make multiple changes to PO at once

A custom package is created to update PO Headers descriptive flexfields using the po_document_update_grp.update_document API but an error is occurring


Error:
-------
Return_status : E
Error is : Following error occurred. Take note of both this error and the actions you were trying to perform. Please contact your System Administrator for further assistance.

Value is not a valid context for the Descriptive Flexfield PO_HEADERS. – name : PO_GENERIC_ERROR - table name : PO_HEADERS_ALL - column name : ATTRIBUTE_CATEGORY - entity type : PO_CHANGES_REC_TYPE - entity id : 1 - message type :


Example Code:
---------------------------------------------------------------

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.